
QGIS Application - Bug report #14144

Duplicate 2.5D layer does not create a 2.5D layer 

2016-01-20 06:55 AM - Yves Jacolin

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22146

Description

    -  create a 2.5D layer in the style tab

    -  duplicate layer

You should get a full 2.5 D style layer, but half of the style seems to be duplicate

Then, if you try to remove the 2.5D symbology (ie choose single symbol), you can't:

    -  remove the draw effect (disable draw effect, clic on the upper symbol layer and go back to "simple fill" symbol layer => Draw effect is

enable)

    -  add a control feature rendering order (checkbox seems disabled)

Associated revisions

Revision ff8472d0 - 2016-01-21 10:37 PM - Matthias Kuhn 

[orderby] Uncheck config options instead of disable

Fix #14144

History

#1 - 2016-01-20 07:24 AM - Matthias Kuhn

All addressed in https://github.com/qgis/QGIS/pull/2698

#2 - 2016-01-20 07:28 AM - Yves Jacolin

Matthias Kuhn wrote:

All addressed in https://github.com/qgis/QGIS/pull/2698

sorry, I though it was already merged :/

#3 - 2016-01-20 07:35 AM - Matthias Kuhn

Addressed after having seen this report ;)

Thank you for testing
#4 - 2016-01-21 01:38 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"ff8472d06b63e73252ea2fd9088917e2c0df1e32".
